opensaml-3.0.1

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
opensaml::saml2p::SAML2ArtifactType0004 Class Reference

Type 0x0004 SAML 2.0 artifact class. More...

`#include <saml/saml2/binding/SAML2ArtifactType0004.h>`

Inheritance diagram for opensaml::saml2p::SAML2ArtifactType0004:
[legend]
Collaboration diagram for opensaml::saml2p::SAML2ArtifactType0004:
[legend]

## Public Member Functions
| SAML2ArtifactType0004 (const char *s)
| Decodes a base64-encoded type 0x0004 artifact. More...
| SAML2ArtifactType0004 (const std::string &sourceid, int index)
| Constructs an artifact with the specified source ID and index, but a random message handle. More...
| SAML2ArtifactType0004 (const std::string &sourceid, int index, const std::string &handle)
| Constructs an artifact with the specified source ID and assertion handle. More...
SAML2ArtifactType0004 * | clone () const
| Builds a duplicate, independent artifact of the same type. More...
std::string | getSource () const
| Returns a string that identifies the source of the artifact. More...
std::string | getMessageHandle () const
| Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type. More...
virtual std::string | getSourceID () const
| Returns the binary data that identifies the source. More...
Public Member Functions inherited from opensaml::saml2p::SAML2Artifact
virtual int | getEndpointIndex () const
| Returns the endpoint index of the artifact. More...
Public Member Functions inherited from opensaml::SAMLArtifact
virtual std::string | encode () const
| Returns artifact encoded into null-terminated base64 for transmission.
virtual SAMLArtifact * | clone () const =0
| Builds a duplicate, independent artifact of the same type. More...
virtual std::string | getBytes () const
| Returns all of the raw binary data that makes up the artifact. More...
virtual std::string | getTypeCode () const
| Returns the binary type code of the artifact. More...
virtual std::string | getRemainingArtifact () const
| Returns the binary artifact data following the type code. More...
virtual std::string | getSource () const =0
| Returns a string that identifies the source of the artifact. More...
virtual std::string | getMessageHandle () const =0
| Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type. More...

## Static Public Attributes
static const unsigned int | SOURCEID_LENGTH
| Length of source ID.
static const unsigned int | HANDLE_LENGTH
| Length of message handle.
Static Public Attributes inherited from opensaml::saml2p::SAML2Artifact
static const unsigned int | INDEX_LENGTH
| Length of endpoint index.
Static Public Attributes inherited from opensaml::SAMLArtifact
static const unsigned int | TYPECODE_LENGTH
| Length of type code.

## Protected Member Functions
| SAML2ArtifactType0004 (const SAML2ArtifactType0004 &src)
| Copy constructor. More...
Protected Member Functions inherited from opensaml::saml2p::SAML2Artifact
| SAML2Artifact (const char *s)
| Constructor. More...
| SAML2Artifact (const SAML2Artifact &src)
| Copy constructor. More...
Protected Member Functions inherited from opensaml::SAMLArtifact
| SAMLArtifact (const char *s)
| Decodes a base64-encoded artifact into its raw form. More...
| SAMLArtifact (const SAMLArtifact &src)
| Copy constructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from opensaml::SAMLArtifact
static SAMLArtifact * | parse (const char *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known. More...
static SAMLArtifact * | parse (const XMLCh *s)
| Parses a base64-encoded null-terminated string into an artifact, if the type is known. More...
static std::string | toHex (const std::string &s)
| Converts binary data to hex notation. More...
Protected Attributes inherited from opensaml::SAMLArtifact
std::string | m_raw
| Raw binary data that makes up an artifact.

## Detailed Description

Type 0x0004 SAML 2.0 artifact class.

## Constructor & Destructor Documentation

## ◆ SAML2ArtifactType0004() [1/4]

opensaml::saml2p::SAML2ArtifactType0004::SAML2ArtifactType0004 | ( | const char * | s | ) |

Decodes a base64-encoded type 0x0004 artifact.

Parameters

  s | NULL-terminated base64-encoded string

## ◆ SAML2ArtifactType0004() [2/4]

opensaml::saml2p::SAML2ArtifactType0004::SAML2ArtifactType0004 | ( | const std::string & | sourceid,
|  | int | index
| ) |  |

Constructs an artifact with the specified source ID and index, but a random message handle.

Parameters

  sourceid | SOURCEID_LENGTH bytes of binary data
  index | endpoint index

## ◆ SAML2ArtifactType0004() [3/4]

opensaml::saml2p::SAML2ArtifactType0004::SAML2ArtifactType0004 | ( | const std::string & | sourceid,
|  | int | index,
|  | const std::string & | handle
| ) |  |

Constructs an artifact with the specified source ID and assertion handle.

Parameters

  sourceid | SOURCEID_LENGTH bytes of binary data
  index | endpoint index
  handle | HANDLE_LENGTH bytes of binary data

## ◆ SAML2ArtifactType0004() [4/4]

opensaml::saml2p::SAML2ArtifactType0004::SAML2ArtifactType0004 | ( | const SAML2ArtifactType0004 & | src | ) |
| protected

Copy constructor.

Parameters

  src | object to copy

## Member Function Documentation

## ◆ clone()

SAML2ArtifactType0004 * opensaml::saml2p::SAML2ArtifactType0004::clone | ( |  | ) | const
| virtual

Builds a duplicate, independent artifact of the same type.

Returns
  the new artifact

Implements opensaml::SAMLArtifact.

## ◆ getMessageHandle()

std::string opensaml::saml2p::SAML2ArtifactType0004::getMessageHandle | ( |  | ) | const
| virtual

Returns the binary data that references the message (2.0) or assertion (1.x) The exact form this takes depends on the type.

The result MAY contain embedded null characters.

Returns
  the binary reference data

Implements opensaml::SAMLArtifact.

## ◆ getSource()

std::string opensaml::saml2p::SAML2ArtifactType0004::getSource | ( |  | ) | const
| virtual

Returns a string that identifies the source of the artifact.

The exact form this takes depends on the type but should match the syntax needed for metadata lookup.

Returns
  null-terminated source string

Implements opensaml::SAMLArtifact.

## ◆ getSourceID()

virtual std::string opensaml::saml2p::SAML2ArtifactType0004::getSourceID | ( |  | ) | const
| virtual

Returns the binary data that identifies the source.

The result MAY contain embedded null characters.

Returns
  the binary source ID

The documentation for this class was generated from the following file:

- saml/saml2/binding/SAML2ArtifactType0004.h